"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListNoData = exports.NoData = void 0;

var _react = _interopRequireDefault(require("react"));

var _Chip = _interopRequireDefault(require("@material-ui/core/Chip"));

var _Avatar = _interopRequireDefault(require("@material-ui/core/Avatar"));

var _ListItem = _interopRequireDefault(require("@material-ui/core/ListItem"));

var _ListItemText = _interopRequireDefault(require("@material-ui/core/ListItemText"));

var _LibraryBooks = _interopRequireDefault(require("@material-ui/icons/LibraryBooks"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// noinspection JSUnusedGlobalSymbols
var NoData = function NoData(_ref) {
  var dataCount = _ref.dataCount,
      children = _ref.children;
  return dataCount === 0 && /*#__PURE__*/_react["default"].createElement(_Chip["default"], {
    avatar: /*#__PURE__*/_react["default"].createElement(_Avatar["default"], null, /*#__PURE__*/_react["default"].createElement(_LibraryBooks["default"], null)),
    label: "No Data"
  }) || children;
};

exports.NoData = NoData;

var ListNoData = function ListNoData(_ref2) {
  var dataCount = _ref2.dataCount,
      containerClass = _ref2.containerClass,
      className = _ref2.className,
      children = _ref2.children;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: containerClass
  }, dataCount === 0 && /*#__PURE__*/_react["default"].createElement(_ListItem["default"], {
    className: className
  }, /*#__PURE__*/_react["default"].createElement(_ListItemText["default"], null, /*#__PURE__*/_react["default"].createElement(_Chip["default"], {
    avatar: /*#__PURE__*/_react["default"].createElement(_Avatar["default"], null, /*#__PURE__*/_react["default"].createElement(_LibraryBooks["default"], null)),
    label: "No Data"
  }))) || children);
};

exports.ListNoData = ListNoData;